Bug 964 - net join core dump
net join core dump
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.1
All FreeBSD
: P3 normal
: none
Assigned To: Jim McDonough
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 06:18 UTC by Alex Deiter
Modified: 2005-11-14 09:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Deiter 2004-01-13 06:18:28 UTC
i try join to domain samba 3.0.2pre1 on FreeBSD 5.2:

# net -d 10 rpc join
...
[2004/01/13 17:05:08, 5] rpc_client/cli_pipe.c:rpc_api_pipe(483)
  rpc_api_pipe: len left: 0 smbtrans read: 68
[2004/01/13 17:05:08, 6] rpc_client/cli_pipe.c:rpc_api_pipe(525)
  rpc_api_pipe: fragment first and last both set
[2004/01/13 17:05:08, 5] rpc_client/cli_pipe.c:rpc_pipe_bind(1381)
  rpc_pipe_bind: rpc_api_pipe returned OK.
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000010 smb_io_rpc_hdr_ba
[2004/01/13 17:05:08, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000010 smb_io_rpc_hdr_bba
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          0010 max_tsize: 10b8
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          0012 max_rsize: 10b8
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0014 assoc_gid: 000053f0
[2004/01/13 17:05:08, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000018 smb_io_rpc_addr_str
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          0018 len: 000c
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint8s(722)
          001a str: \PIPE\lsass.
[2004/01/13 17:05:08, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000026 smb_io_rpc_results
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint8(577)
          0028 num_results: 01
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          002c result     : 0000
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          002e reason     : 0000
[2004/01/13 17:05:08, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000030 smb_io_rpc_iface
[2004/01/13 17:05:08, 7] rpc_parse/parse_prs.c:prs_debug(82)
          000030 smb_io_rpc_uuid uuid
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint32(635)
              0030 data   : 8a885d04
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint16(606)
              0034 data   : 1ceb
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint16(606)
              0036 data   : 11c9
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint8s(722)
              0038 data   : 9f e8 08 00 2b 10 48 60
[2004/01/13 17:05:08, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0040 version: 00000002
[2004/01/13 17:05:08, 5] rpc_client/cli_pipe.c:check_bind_response(1237)
  bind_rpc_pipe: server pipe_name found: \PIPE\lsass
[2004/01/13 17:05:08, 5] rpc_client/cli_pipe.c:check_bind_response(1257)
  bind_rpc_pipe: accepted!
Segmentation fault (core dumped)

smb.conf:

[global]
        workgroup = TEST
        security = DOMAIN
        guest account = guest
        log level = 1
        log file = /var/log/samba/%m.log

[homes]
        read only = No
        browseable = No

Thanks!
Comment 1 Alex Deiter 2004-01-13 06:59:08 UTC
(gdb) bt
#0  0x08069c20 in get_sec_channel_type (param=0x68 <Address 0x68 out of bounds>)
    at utils/net.c:84
#1  0x0806d4e5 in rpc_oldjoin_internals (domain_sid=0x68, cli=0x68, 
mem_ctx=0x68, argc=0,
    argv=0x68) at utils/net_rpc.c:238
#2  0x0806d32c in run_rpc_command (cli_arg=0x0, pipe_idx=104, conn_flags=104,
    fn=0x806d4b0 <rpc_oldjoin_internals>, argc=104, argv=0x68) at 
utils/net_rpc.c:135
#3  0x0806d658 in net_rpc_oldjoin (argc=104, argv=0x68) at utils/net_rpc.c:281
#4  0x0806d6ae in net_rpc_join (argc=0, argv=0x81c006c) at utils/net_rpc.c:322
#5  0x08069cb5 in net_run_function (argc=1, argv=0x81c0068, table=0x0,
    usage_fn=0x8071190 <net_rpc_usage>) at utils/net.c:118
#6  0x08071356 in net_rpc (argc=104, argv=0x68) at utils/net_rpc.c:2546
#7  0x08069cb5 in net_run_function (argc=2, argv=0xbfbfe978, table=0x8168290,
    usage_fn=0x806b6d0 <net_help>) at utils/net.c:118
#8  0x0806b1cf in main (argc=5, argv=0xbfbfec3c) at utils/net.c:757
#9  0x08069b42 in _start ()
Comment 2 Alex Deiter 2004-01-13 07:03:29 UTC
#0  0x08069c20 in get_sec_channel_type (param=0x68 <Address 0x68 out of bounds>)
    at utils/net.c:84
84              if (!(param && *param)) {
(gdb) bt
#0  0x08069c20 in get_sec_channel_type (param=0x68 <Address 0x68 out of bounds>)
    at utils/net.c:84
#1  0x0806d4e5 in rpc_oldjoin_internals (domain_sid=0x68, cli=0x68, 
mem_ctx=0x68, argc=0,
    argv=0x68) at utils/net_rpc.c:238
#2  0x0806d32c in run_rpc_command (cli_arg=0x0, pipe_idx=104, conn_flags=104,
    fn=0x806d4b0 <rpc_oldjoin_internals>, argc=104, argv=0x68) at 
utils/net_rpc.c:135
#3  0x0806d658 in net_rpc_oldjoin (argc=104, argv=0x68) at utils/net_rpc.c:281
#4  0x0806d6ae in net_rpc_join (argc=0, argv=0x81c006c) at utils/net_rpc.c:322
#5  0x08069cb5 in net_run_function (argc=1, argv=0x81c0068, table=0x0,
    usage_fn=0x8071190 <net_rpc_usage>) at utils/net.c:118
#6  0x08071356 in net_rpc (argc=104, argv=0x68) at utils/net_rpc.c:2546
#7  0x08069cb5 in net_run_function (argc=2, argv=0xbfbfe978, table=0x8168290,
    usage_fn=0x806b6d0 <net_help>) at utils/net.c:118
#8  0x0806b1cf in main (argc=5, argv=0xbfbfec3c) at utils/net.c:757
#9  0x08069b42 in _start ()
Comment 3 Jim McDonough 2004-01-16 07:12:50 UTC
I've checked the fix in, or at least what I think the fix is.  Could you please
test this?  Thanks.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:17:08 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:27:02 UTC
database cleanup